package com.czg.account.service;

import com.czg.account.dto.staff.ShopStaffAddDTO;
import com.czg.account.dto.staff.ShopStaffEditDTO;
import com.czg.account.dto.staff.ShopStaffRemoveDTO;
import com.czg.account.entity.ShopStaff;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;

import java.util.List;

/**
 * 店铺员工 服务层。
 *
 * @author Administrator
 * @since 2025-02-10
 */
public interface ShopStaffService extends IService<ShopStaff> {

    Boolean add(ShopStaffAddDTO shopStaffAddDTO);

    Boolean edit(ShopStaffEditDTO shopStaffEditDTO);

    Page<ShopStaff> get(String name, String code);

    Boolean delete(ShopStaffRemoveDTO shopStaffRemoveDTO);

    List<Long> permission(Long id);

    ShopStaff detail(Long shopId, Long id);
}
